<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Some title</title>
        <!--<link rel="stylesheet" type="text/css" href="css/style.css">-->
        <script src="https://unpkg.com/react@16/umd/react.development.js" crossorigin></script>
        <script src="https://unpkg.com/react-dom@16/umd/react-dom.development.js" crossorigin></script>
    </head>
    <body>
        <div id="my_form"></div>

        <!--<script src="my_form.js"></script>-->

        <script src="https://unpkg.com/@babel/standalone/babel.min.js"></script>
        
        <script type="text/babel">
            const divStyle={
              display: 'flex',
              'flex-direction':'column',
              width: '220px',
              height:'190px',
              
            };
            const area={
                'border-radius':'20px',
                'margin-bottom':'10px',
                height:'110px'
            };
            const inputs={
                height:'30px',
                'border-radius':'20px',
                'margin-bottom':'10px',
            };
            const buttonType = {
                width:'220px',
                height:'33px',
                'background-color':'red',
                color:'white',
                'font-size':'20px',
                border:'none',
                'border-radius':'20px',
            };
            class Form extends React.Component {
                constructor(props) {
                    super(props);
                    this.state = {name: '', email: '', comment: ''};

                    this.handleChange = this.handleChange.bind(this);
                    this.handleSubmit = this.handleSubmit.bind(this);
                }

                handleChange(event) {
                    const {name, value} = event.target;
                    this.setState({[name]: value});
                }

                handleSubmit(event) {
                    console.log(this.state);
                    event.preventDefault();
                }

                render() {
                    return (
                    <form onSubmit={this.handleSubmit}>
                        <div className = "fields" id = "fields" style = {divStyle}>
                        <input name="name" type="text" style={inputs} placeholder="Name" value={this.state.name} onChange={this.handleChange} autoFocus required />
                        <input name="email" style={inputs} type="email" placeholder="E-mail" value={this.state.email} onChange={this.handleChange} required />
                        <textarea name="comment" style={area} placeholder="Comment"  rows="5" cols="60" value={this.state.comment} onChange={this.handleChange} required />
                        </div>
                        <button class="btn butt3" type="button" style={buttonType}value="Send" id="button_type">
                            <span id="button_text">Send</span>
                        </button>
                    </form>
                    );
                }
            }
            ReactDOM.render(
                <Form />,
                document.getElementById('my_form')
            );
        </script>
        
    </body>
</html>
